@use "./vars" as *;
@use "~bootstrap/scss/bootstrap";
@use "./messages";
@use "./modal";
@use "../login/loginForm";
@use "../Filter/filterForm";
@use "../CardList/card-list";
@use "../script/modules/visit/visit";
@use "../card/card";


.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0;
}

#root {
  background: url("../img/bg.jpg") no-repeat center;
  background-attachment: fixed;
  background-size: cover;
  min-height: 100vh;
}

.main {
  display: flex;
  justify-self: center;
}

header {
  background-color: #51948d;
}

.navbar {
  flex-wrap: wrap;
  padding: 5em;
  background-color: #51948d;
  a.navbar-brand {
    transition: 0.1s liner;
    &:hover,
    &:focus {
      transform: scale(1.2);
    }
  }

  button {
    margin: 10px;
    background-color: $main-green-color;
    border: solid 3px $main-green-color;
    color: #fff;
    transition: 0.1s linear;
    font-size: 1.6em;
  }

  button:hover {
    border-color: #fff;
    transform: scale(1.1);
    background-color: $main-green-color;
    color: #fff;
  }
}

button#logOutBtn {
  border: none;
  background-color: initial;
  color: crimson;
  text-decoration: underline;
  font-size: 1em;
}
